ENT.Type = "anim"
ENT.Base = "base_entity"
ENT.Spawnable = true
ENT.PrintName = "Freezer"
ENT.Category = "Meth-Herstellung"
ENT.Model = Model("models/zerochain/zmlab/zmlab_frezzer.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Int", 1, "UsedPositions")
	self:NetworkVar("Bool", 0, "IsFreezing")

	if (SERVER) then
		self:SetUsedPositions(0)
		self:SetIsFreezing(false)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end